%define debug_package %{nil}
%define org_name vault
%define sha256_checksum e927fd4daac11f6c7b8b3f1f53f2017516e29e99585dc975b657acdeac43500b

Name:           uio-vault
Version:        1.1.2
Release:        1%{dist}
Summary:        A tool for managing secrets
License:        MPLv2.0
URL:            https://www.vaultproject.io/
Source0:        https://releases.hashicorp.com/%{org_name}/%{version}/%{org_name}_%{version}_linux_amd64.zip
Source1:        https://releases.hashicorp.com/%{org_name}/%{version}/%{org_name}_%{version}_linux_arm64.zip
Conflicts:      %{org_name}

%description
Vault is a tool for securely accessing secrets. A secret is anything that you
want to tightly control access to, such as API keys, passwords, certificates,
and more.
Vault provides a unified interface to any secret, while providing tight access
control and recording a detailed audit log.

%prep

%ifarch x86_64
%setup -q -c %{SOURCE0}
%endif
%ifarch aarch64
%setup -q -c %{SOURCE1}
%endif

%build

%install
%{__install} -d -m 0755 %{buildroot}%{_sbindir} \
                        %{buildroot}%{_sysconfdir}/%{org_name}

%{__install} -m 0755 %{org_name} %{buildroot}%{_sbindir}

%files
%{_sbindir}/%{org_name}

%changelog
* Tue May 21 2019 Martin Bore <martin.bore@usit.uio.no> - 1.1.2
- Initial build for UiO
